/* Global */

@import "global.css";
@import "content.css";
@import "custom.css";

@import url("https://fonts.bunny.net/css?family=figtree:400,400i,600,600i,700,700i");

:root {
  --color-base: #464646;
  --color-secondary: #555;
  --color-border: #e1e1e1;
  --color-background: #f7f7f7;
  --color-darkmode: #fff;
  --color-darkmode-bg: #121212;
  --color-darkmode-bg-highlight: #2a2a2a;
  --color-success: #80b912;
  --color-error: #f05230;

  --font-sans-serif: 'Figtree', sans-serif;
  --regular: 400;
  --semi-bold: 600;
  --bold: 700;
  --font-tiny: 1.25rem;
  --font-small: 1.4rem;
  --font-base: 1.8rem;
  --font-subtitle: 2rem;
  --font-secondary-title: 2.5rem;
  --font-title: 3.2rem;
  --font-hero: 4rem;

  --gap-1: 1rem;
  --gap-2: 2rem;
  --gap-4: 4rem;
  --gap-8: 8rem;
  --radius: 1.2rem;
  --shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
  --width: 1100px;
  --ghost-accent-wash: color-mix(in oklab, var(--ghost-accent-color) 5%, white);
}

@media (max-width: 767px) {
  :root {
    --font-tiny: 1.25rem;
    --font-small: 1.4rem;
    --font-base: 1.6rem;
    --font-subtitle: 2rem;
    --font-secondary-title: 2.25rem;
    --font-title: 2.5rem;
  }
}


/* Layout */

.viewport {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.site-content {
  flex-grow: 1;
}

.outer {
  position: relative;
  padding: 0 max(4vmin, 20px);
}

.inner {
  margin: 0 auto;
  max-width: var(--width);
  width: 100%;
  position: relative;
}

.featured-card-image img,
.card-image img,
.post-image img,
.tag-image img,
.author-image img,
.card-author-image,
.cover-image img,
.kg-image-card img,
.kg-gallery-image img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

/* Utilities */

.u-semi-bold {
  font-weight: var(--semi-bold);
}

.u-uppercase-semi-bold {
  text-transform: uppercase;
  letter-spacing: 0.05em;
  font-weight: var(--semi-bold);
}

.u-flex-column {
  display: flex;
  flex-direction: column;
}

.u-flex-row {
  display: flex;
  flex-direction: row;
}

.u-flex-row-center {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.u-flex-column-center {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.u-gap-1 {
  gap: var(--gap-1);
}

.u-gap-2 {
  gap: var(--gap-2);
}

.u-gap-4 {
  gap: var(--gap-4);
}

.u-gap-8 {
  gap: var(--gap-8);
}

.u-hidden {
  display: none;
}

.no-radius {
  border-radius: 0 !important;
}

/* Header */

.site-header {
  height: 80px;
  justify-content: center;
  background-color: var(--background-color);
}

.site-header-flex {
  justify-content: space-between;
  position: relative;
  align-items: center;
  z-index: 2 !important;
}

.brand-logo {
  max-height: 20px;
  max-width: 300px;
}

.brand-logo img {
  height: 100%;
}

.brand-title-wrapper {
  align-items: center;
}

.header-site-icon {
  max-width: 30px;
}

.brand-title {
  font-weight: var(--bold);
  font-size: 2.25rem;
  white-space: nowrap;
  line-height: 1;
  font-family: var(--gh-font-heading, var(--font-sans-serif)) !important;
}

/* Header buttons */

.utils {
  align-items: center;
  white-space: nowrap;
  font-size: 1.6rem;
}

.utils svg {
  width: 22px;
  height: 22px;
  fill: var(--color-base);
}

.header-buttons {
  align-items: center;
}

.header-buttons a {
  text-decoration: none;
  line-height: 1;
}

.header-btn {
  background-color: var(--ghost-accent-color);
  color: #fff !important;
  padding: 0.75rem 1.5rem;
  border-radius: 30px;
  font-weight: var(--semi-bold);
  border: 1px solid var(--ghost-accent-color);
}

.search {
  background-color: transparent;
  border: none;
  padding: 0;
  cursor: pointer;
  width: 22px;
  height: 22px;
}

@media (min-width: 768px) {
  .utils a:not(.signin-btn):hover {
    opacity: 0.7;
  }
}

/* Navigation */

.navbar {
  width: 100%;
  justify-content: space-between;
  position: relative;
}

.menu ul {
  display: inline-flex;
  gap: 1rem;
  align-items: center;
  line-height: 1;
}

.navbar li a,
.mobile-menu li a {
  text-decoration: none;
  overflow: hidden;
  white-space: nowrap;
  font-size: 1.6rem;
}

.navbar li a,
.more-button,
.signin-btn {
  padding: 0.75rem 1.5rem;
  border-radius: 30px;
  border: 1px solid transparent;
}

.navbar.no-radius li a,
.navbar.no-radius .more-button {
  border-radius: 0;
}

.nav {
  transition: opacity 0.3s ease-in;
  opacity: 1;
}

.more-button {
  cursor: pointer;
  background-color: transparent;
  border: none;
  color: var(--color-base);
  position: relative;
  line-height: 1;
}

.nav-dropdown {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #fff;
  border: 1px solid var(--color-border);
  border-radius: 5px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  min-width: 150px;
  padding: 8px 0;
  z-index: 10;
  margin-top: 1rem;
  text-align: left;
}

.site-header.is-dropdown-open .nav-dropdown {
  display: block;
}

.nav-dropdown li {
  list-style: none;
  padding: 8px 16px;
  white-space: nowrap;
  margin: 1rem 0;
}

.mobile-menu {
  display: none;
}

.burger {
  display: none;
}

@media (min-width: 1025px) {
  .nav-hidden {
    visibility: hidden;
    opacity: 0;
  }

  .navbar li:not(.nav-current) a:hover,
  .more-button:hover,
  .signin-btn:hover {
    background-color: var(--color-background);
    border-color: var(--color-background);
  }

  .nav-current a {
    color: var(--ghost-accent-color);
    background-color: var(--ghost-accent-wash);
  }
}

/* Mobile menu */

@media (max-width: 1024px) {
  .navbar .menu,
  .more-button,
  .nav-dropdown {
    display: none;
  }

  .site-header {
    gap: 0;
  }

  .mobile-menu {
    display: block;
    position: fixed;
    background-color: #fff;
    top: 80px;
    right: 0;
    height: calc(100vh - 80px);
    width: 100%;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
    z-index: 10;
    padding: var(--gap-4) var(--gap-4) 8rem;
    overflow-y: auto;
  }

  .mobile-menu.active {
    display: block;
    transform: translateX(0);
    transition: transform 0.3s ease-in-out;
  }

  .mobile-menu ul {
    flex-direction: column;
    font-size: var(--font-subtitle);
    font-weight: var(--semi-bold);
    text-align: center;
  }

  .mobile-menu li {
    padding: var(--gap-2) 0;
  }

  .mobile-menu .utils {
    flex-direction: row;
  }

  .burger {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 20px;
    height: 20px;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 10;
  }

  .burger .bar {
    width: 20px;
    height: 2px;
    background-color: var(--color-base);
    border-radius: 10px;
    transition: 0.3s;
  }

  .burger > :nth-child(2) {
    margin-left: 0.25rem;
  }

  .burger.active .bar:nth-child(1) {
    transform: rotate(45deg) translateY(7.1px);
  }

  .burger.active .bar:nth-child(2) {
    display: none;
  }

  .burger.active .bar:nth-child(3) {
    transform: rotate(-45deg) translateY(-7.1px);
  }

  body.menu-active {
    overflow: hidden;
    position: fixed;
    width: 100%;
    height: 100%;
    -webkit-overflow-scrolling: touch;
  }
}

@media (min-width: 768px) {
  .mobile-menu .header-buttons {
    display: none;
  }
}

@media (max-width: 767px) {
  .utils a {
    display: none;
  }

  .mobile-menu .header-buttons {
    margin-top: 2rem;
  }

  .mobile-menu .header-buttons a {
    font-size: 1.6rem;
    font-weight: var(--semi-bold);
  }
}

/* Hero */

.hero-wrapper {
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.hero-wrapper.has-cover {
  padding-top: 0;
  padding-bottom: 0;
}

.has-cover .hero {
  position: relative;
  height: 50vh;
  overflow: hidden;
  border-radius: var(--radius);
}

.has-cover .hero::before {
  content: "";
  inset: 0;
  position: absolute;
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0.2) 0%,
    rgba(0, 0, 0, 0.4) 50%,
    rgba(0, 0, 0, 0.6) 100%
  );
  z-index: 1;
}

.hero-wrapper.has-cover .cover-image {
  position: absolute;
  inset: 0;
}

.has-cover .hero-content {
  z-index: 2;
  color: #fff;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  padding: 4rem;
}

.has-cover .center-header {
  text-align: center;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

.has-cover .form-members {
  color: #fff;
}

.hero-content .site-form,
.hero p:not(.form-members) {
  margin: var(--gap-2) 0 0;
}

.center-header .site-form {
  margin-left: auto;
  margin-right: auto;
}

@media (max-width: 767px) {
  .hero-wrapper.has-cover {
    padding: 0;
  }

  .has-cover .hero {
    border-radius: 0;
  }

  .has-cover .hero-content {
    padding: 2rem;
  }
}

/* Home */

.section-header {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid var(--color-border);
  align-items: center;
  padding-bottom: 1rem;
  margin-bottom: var(--gap-2);
}

.section-header p {
  font-size: var(--font-tiny);
  padding-top: 1.5rem;
  font-family: var(--gh-font-heading, var(--font-sans-serif)) !important;
}

.section-more {
  text-decoration: none;
  position: relative;
  border-bottom: none !important;
  font-size: var(--font-tiny);
  padding-top: 1.5rem;
  display: inline-flex;
  align-items: center;
  transition: transform 0.3s ease;
  gap: 0.25rem;
  transform: translateX(1.25rem);
}

.section-more::after {
  content: "→";
  font-size: var(--font-tiny);
  opacity: 0;
  transition: opacity 0.3s ease, transform 0.3s ease;
  transform: scale(0);
}

.section-more:hover {
  transform: translateX(0);
}

.section-more:hover::after {
  opacity: 1;
  transform: scale(1);
}

.tags-list {
  flex-wrap: wrap;
  align-items: center;
}

.tags-list a {
  padding: 0.75rem 1.5rem;
  background-color: var(--color-background);
  border-radius: 30px;
  text-decoration: none;
  font-size: var(--font-small);
  font-weight: var(--semi-bold);
  color: var(--color-base);
}

.tags-list.no-radius a {
  border-radius: 0;
}

@media (min-width: 768px) {
  .tags-list a:hover {
    color: var(--ghost-accent-color);
    background-color: var(--ghost-accent-wash);
    opacity: 1;
  }
}

/* Featured */

.featured-wrapper {
  margin-top: 4rem;
}

.featured-card {
  border-radius: var(--radius);
  position: relative;
  overflow: hidden;
  height: 100%;
  width: 100%;
  aspect-ratio: 3/4;
}

.featured-card.no-image {
  background-color: var(--ghost-accent-color);
}

.featured-card::before {
  content: "";
  inset: 0;
  position: absolute;
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0.2) 0%,
    rgba(0, 0, 0, 0.4) 50%,
    rgba(0, 0, 0, 0.6) 100%
  );
  z-index: 1;
}

.featured-card-image {
  position: absolute;
  inset: 0;
}

.featured-card-image img {
  transition: transform 0.3s ease;
}

.featured-card-link {
  position: absolute;
  inset: 0;
  z-index: 2;
}

.featured-card .featured-card-content {
  flex: 3;
  position: absolute;
  bottom: 0;
  left: 0;
  color: #fff;
  padding: 0 var(--gap-2) var(--gap-2);
  z-index: 2;
}

.featured-card h2 {
  font-size: var(--font-subtitle);
}

.featured-card-content a {
  text-decoration: none;
}

@media (min-width: 768px) {
  .featured-card {
    overflow: hidden;
  }

  .featured-card picture img {
    transition: transform 0.3s ease;
  }

  .featured-card:hover picture img {
    transform: scale(1.02);
  }
}

@media (max-width: 767px) {
  .featured-posts {
    flex-direction: column;
  }
}

/* Post cards - used across the theme, wherever there's a feed */

.postfeed {
  max-width: 800px;
  margin: 4rem auto 0;
}

.card {
  margin-bottom: 6rem;
}

.card-tag {
  position: relative;
  padding-right: 1.5rem;
}

.card-title h2 {
  font-size: var(--font-subtitle);
  position: relative;
}

.card-content {
  flex: 3;
}

.ellipsis {
  display: -webkit-box;
  overflow-y: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  line-height: 1.6;
  max-height: calc(1.6em * 2);
}

.card-image {
  flex: 1;
  border-radius: var(--radius);
  overflow: hidden;
  aspect-ratio: 3/2;
  align-self: flex-start;
}

.card-meta {
  font-size: var(--font-tiny);
  gap: 0.5rem;
}

.card-meta a {
  text-decoration: none;
}

.card-author {
  gap: 0.5rem;
}

.card-author:hover {
  opacity: 0.7;
}

.card-author-image {
  border-radius: 50%;
  max-width: 30px;
  aspect-ratio: 1/1;
}

.card-author-name {
  font-size: var(--font-tiny);
}

.card-author-name::after {
  content: "•";
  margin-left: 0.5rem;
}

.access-tag {
  display: flex;
  align-items: center;
}

.access-tag::before {
  content: "•";
  margin-right: 0.5rem;
}

.access-tag svg {
  fill: var(--color-secondary);
  width: 15px;
  height: 15px;
}

@media (min-width: 768px) {
  .card-tag::after {
    content: "→";
    opacity: 0;
    position: absolute;
    right: 0;
    transform: translateX(-1rem);
    transition: all 0.3s ease;
  }
  
  .card-tag:hover::after {
    opacity: 1;
    transform: translateX(0);
  }

  .card-image picture img {
    transition: all 0.3s ease;
  }
  
  .card:hover .card-image picture img {
    transform: scale(1.02);
  }
}

@media (max-width: 767px) {
  .card {
    flex-direction: column-reverse;
    align-items: stretch;
  }
}

/* Pagination */

.pagination {
  margin-bottom: var(--gap-4);
  justify-content: center;
}

.page-number {
  font-size: var(--font-small);
  text-transform: uppercase;
  font-weight: var(--semi-bold);
  display: flex;
  align-items: center;
}

.newer-posts svg,
.older-posts svg,
.newer-posts,
.older-posts {
  height: 25px;
  width: 25px;
  fill: var(--color-base);
}

.older-posts:hover,
.newer-posts:hover {
  opacity: 0.7;
}

/* Post  */

.post-header-container {
  margin-top: 8rem;
}

.post-header {
  grid-column: main-start / main-end;
  margin-bottom: var(--gap-2);
}

.post-header.top {
  margin-top: var(--gap-2);
  margin-bottom: 0;
}

.post-header.no-image {
  margin-bottom: 0;
}

.center-header {
  text-align: center;
}

.post-tag {
  font-size: var(--font-small);
  position: relative;
  max-width: fit-content;
}

.center-header .post-tag {
  margin: 0 auto;
}

.post-author {
  text-align: left;
}

.center-header .post-author {
  margin: 0 auto;
}

.center-text {
  text-align: center;
}

.post-author-image {
  border-radius: 50%;
  width: 50px;
  height: 50px;
  object-fit: cover;
  object-position: center;
  overflow: hidden;
  position: relative;
  z-index: 4;
  border: 2px solid #fff;
}

.post-author-image:not(:first-child) {
  margin-left: -25px;
  z-index: 3;
}

.post-author-image:nth-child(3) {
  margin-left: -25px;
  z-index: 2;
}

.post-author-image:nth-child(4) {
  margin-left: -25px;
  z-index: 1;
}

.post-author-name {
  font-weight: var(--semi-bold);
  position: relative;
}

.post-author-meta {
  font-size: var(--font-small);
}

.post-image {
  grid-column: main-start / main-end;
  border-radius: var(--radius);
  aspect-ratio: 3/2;
  overflow: hidden;
}

.post-image.wide {
  grid-column: wide-start / wide-end;
  aspect-ratio: 16/9;
}

.post-image.full {
  grid-column: full-start / full-end;
  aspect-ratio: 16/9;
  border-radius: 0;
}

.post-image.top {
  order: -1;
  height: 25vh;
  overflow: hidden;
  border-radius: var(--radius);
  width: 100%;
}

.post-content {
  position: relative;
  grid-column: main-start / main-end;
  margin: var(--gap-4) 0;
}

.post-footer {
  gap: 4rem;
  margin-top: 8rem !important;
}

.footer-menu-wrapper {
  justify-content: space-between;
}

.share-menu {
  justify-content: flex-end;
  position: relative;
}

.share-menu svg {
  fill: var(--color-base);
  width: 20px;
  height: 20px;
}

.share-menu a {
  text-decoration: none;
  color: var(--color-base);
}

#linkCopied {
  font-size: var(--font-tiny);
  color: var(--color-secondary);
  position: absolute;
  top: -10px;
  right: 0;
}

.post-footer-cta {
  font-size: var(--font-small);
  color: var(--color-secondary);
  margin-bottom: 1rem;
}

.share-menu .post-footer-cta {
  text-align: right;
}

.prev-next {
  justify-content: space-between;
}

.prev-next a {
  color: var(--color-base);
  text-decoration: none;
  gap: 0.5rem;
}

.prev-next svg {
  height: 25px;
  width: 25px;
  fill: var(--color-base);
}

@media (min-width: 768px) {
  .post-tag::after {
    content: "→";
    font-size: var(--font-small);
    opacity: 0;
    position: absolute;
    right: -1.5rem;
    transform: translateX(-1rem);
    transition: transform 0.3s ease;
  }

  .post-tag:hover::after {
    opacity: 1;
    transform: translateX(0);
  }

  .post-author-name:hover {
    opacity: 0.7;
  }
}

@media (max-width: 767px) {
  .post-header-container {
    margin-top: 4rem;
  }

  .post-image.wide,
  .post-image.full {
    aspect-ratio: 3/2;
  }
}

/* Access CTA */

.gh-post-upgrade-cta-content {
  border: 1px solid var(--ghost-accent-color);
}

.gh-post-upgrade-cta-content h2,
.gh-post-upgrade-cta-content p {
  color: var(--color-base) !important;
}

.gh-post-upgrade-cta-content a {
  color: var(--ghost-accent-color) !important;
  text-decoration: none !important;
}

.gh-post-upgrade-cta-content .gh-btn {
  background-color: var(--ghost-accent-color) !important;
  color: #fff !important;
}

@media (max-width: 767px) {
  .tags-feed {
    grid-template-columns: 1fr;
  }
}

/* Tag and author templates */

.author-cover-image {
  height: 25vh;
  overflow: hidden;
  border-radius: var(--radius);
  justify-content: center;
  max-width: 800px;
  margin: 0 auto;
}

.tag-meta,
.author-meta {
  align-items: center;
  text-align: center;
  max-width: 800px;
  margin: 8rem auto;
  padding: 0 var(--gap-2);
}

.tag-meta h1,
.author-meta h1 {
  position: relative;
}

.author-meta.has-cover {
  margin-top: -62.5px;
}

.tag-image,
.author-image {
  width: 125px;
  height: 125px;
  border-radius: 75px;
  overflow: hidden;
  position: relative;
}

.has-cover .author-image {
  border: 4px solid #fff;
  position: relative;
  z-index: 10;
}

.author-links {
  line-height: 1;
}

.author-links a {
  text-decoration: none;
  line-height: 1;
}

.author-links svg {
  height: 20px;
  width: 20px;
}

.author-website svg {
  height: 22.75px;
  width: 22.75px;
}

.author-location {
  align-items: center;
  gap: 0.25rem;
  font-size: var(--font-small);
  font-weight: var(--semi-bold);
}

@media (min-width: 768px) {
  .author-links svg:hover {
    opacity: 0.7;
  }
}

/* Footer */

.footer-wrapper {
  padding-top: 4rem;
  padding-bottom: var(--gap-2);
}

.site-footer {
  justify-content: space-between;
  align-items: flex-start;
}

.footer-brand .brand-title {
  margin-bottom: 1rem;
}

.footer-nav p,
.footer-social-links p {
  font-size: var(--font-small);
  text-align: right;
}

.footer-nav a {
  text-decoration: none;
}

.footer-nav .nav-current a {
  font-weight: var(--regular);
}

.footer-nav .nav-current a::after {
  display: none;
}

.footer-nav a:hover {
  color: var(--ghost-accent-color);
}

.footer-social-links .social-icon svg {
  fill: var(--color-base);
  width: 20px;
  height: 20px;
}

.footer-meta {
  margin-top: 6rem;
  text-align: center;
  font-size: var(--font-tiny);
}

.footer-meta a {
  color: var(--ghost-accent-color);
}

@media (min-width: 768px) {
  .footer-meta a:hover,
  .social-icon svg:hover {
    opacity: 0.7;
  }
}

@media (max-width: 767px) {
  .site-footer {
    flex-direction: column;
    justify-content: space-around;
    gap: var(--gap-2);
  }

  .footer-meta {
    text-align: center;
  }

  .footer-nav p,
  .footer-social-links p {
    font-size: var(--font-small);
    text-align: left;
  }
}

/* Form */

.form-wrapper:not(.hero-content .form-wrapper) {
  padding: 8rem 0;
}

.site-form {
  gap: 0.5rem;
  position: relative;
  max-width: 500px;
  margin-top: 1rem;
}

.site-form input {
  border: 1px solid rgb(204, 204, 204);
  background-color: var(--color-background);
  border-radius: 30px;
  padding: 0.75rem 1.5rem;
  width: 100%;
  transition: all 0.3s;
  font-size: 1.6rem;
}

.site-form input:focus {
  box-shadow: 0 0 0 5px #3341551f,0 0 0 1px #3341551a;
  transition: all 0.3s;
  outline: none;
}

.site-form button {
  border: 1px solid var(--ghost-accent-color);
  background-color: var(--ghost-accent-color);
  color: #fff;
  border-radius: 30px;
  padding: 0.75rem 1.5rem;
  cursor: pointer;
  width: 150px;
  font-size: 1.6rem;
  font-weight: var(--semi-bold);
  position: relative;
}

.site-form button svg {
  fill: #fff;
  height: 20px;
  width: 20px;
}

.site-form.no-radius button,
.site-form.no-radius input {
  border-radius: 0 !important;
}

.form-spinner svg {
  animation: spin 1s linear infinite;
}

.form-members {
  font-size: var(--font-small);
  position: absolute;
  top: 110%;
  color: var(--color-secondary);
  display: block;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Form state management - consolidated with Ghost dynamic classes */
/* Hide all form state elements by default */
.form-success,
.form-spinner,
.form-error,
.error-message,
.success-message {
  display: none;
}

/* Show appropriate elements based on Ghost's dynamic classes */
.loading .form-spinner,
.success .form-success,
.error .form-error {
  display: flex;
  align-items: center;
  justify-content: center;
}

.success .success-message,
.error .error-message {
  display: inline;
}

/* Hide subscribe button and unsubscribe text during states */
.loading .form-subscribe,
.success .form-subscribe,
.error .form-subscribe,
.success .form-unsubscribe,
.error .form-unsubscribe {
  display: none;
}

/* Message styling */
.error-message {
  font-size: var(--font-small);
  color: var(--color-error);
}

.success-message {
  font-size: var(--font-small);
  color: var(--color-success);
}

@media (min-width: 768px) {
  .site-form button:hover {
    opacity: 0.7;
  }
}

@media (max-width: 767px) {
  .site-form {
    flex-direction: column;
    width: 100%;
  }

  .site-form input,
  .site-form button {
    width: 100%;
    height: 48px;
  }

  .error-message,
  .success-message {
    display: none;
  }
}

/* Table of contents */

.toc {
  overflow-y: auto;
}

.toc > .toc-list {
  overflow: hidden;
  position: relative;
}

.toc > .toc-list li {
  list-style: none;
}

.toc-list {
  margin: 0;
  padding-left: 0 !important;
}

a.toc-link {
  color: currentColor;
  height: 100%;
}

.is-collapsible {
  max-height: 1000px;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}

.is-collapsed {
  max-height: 0;
}

.is-position-fixed {
  position: fixed !important;
  top: 0;
}

.is-active-link {
  color: var(--ghost-accent-color) !important;
  font-weight: var(--semi-bold);
}

.post-sidebar {
  margin-bottom: var(--gap-2);
  z-index: -1;
}

.post-sidebar p {
  font-weight: var(--semi-bold);
  color: var(--color-secondary);
}

.post-sidebar hr {
  height: 4px;
  width: 40px;
  border: 0;
  border-top: 4px solid var(--color-border);
  margin: 3rem 0 -5vmin !important;
  opacity: 1;
}

.post-toc {
  padding-right: 1.5rem;
}

.post-toc > .toc-list {
  position: relative;
}

.post-toc .is-active-link::before {
  background-color: transparent;
}

.toc-list {
  overflow: hidden;
  list-style: none;
  margin-top: 0 !important;
  padding-top: 1rem !important;
}

ol.is-collapsible.is-collapsed {
  padding-top: 0 !important;
}

.toc-list:not(:first-child) {
  padding-left: 1rem !important;
}

.toc-list-item {
  margin-top: 0 !important;
  font-size: 1.5rem;
  color: var(--color-secondary);
}

.toc-list-item:not(:last-child) {
  padding-bottom: var(--gap-2) !important;
}

.post-toc-wrapper .section-header {
  margin-bottom: 0;
}

.post-toc-wrapper .section-header p {
  padding-top: 0.5rem;
}

@media (max-width: 1150px) {
  .post-sidebar {
    display: none;
  }
}

@media (min-width: 1150px) {
  .post-sidebar {
    position: absolute;
    top: 0;
    bottom: 0;
    margin-right: var(--gap-2);
    grid-column: wide-start / main-start;
  }

  .post-toc-wrapper {
    position: sticky;
    top: 4vmin;
  }
}

.post-toc .is-active-link::before {
  background-color: var(--ghost-accent-color);
}

/* Error */

.error-wrapper {
  height: 100vh;
  justify-content: space-around;
}

.error-content {
  text-align: center;
  margin: 0 auto;
}

.error-code {
  font-size: 10rem;
  line-height: 1;
}

.error-description {
  font-size: 3rem;
  line-height: 1;
}

.error-button {
  display: inline-block;
  font-weight: var(--semi-bold);
  text-decoration: none;
  padding: 1rem 2rem;
  background-color: var(--color-base);
  color: #fff !important;
  border-radius: 30px;
  align-self: center;
}

.error-button:hover {
  opacity: 0.7;
}

.error-wrapper .footer-meta {
  text-align: center;
  justify-self: flex-end;
}

@media (max-width: 767px) {
  .error-code {
    font-size: 6rem;
  }

  .error-description {
    font-size: var(--font-subtitle);
  }
}
